


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: DocumentationCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: DocumentationCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">DocumentationCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 8)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.application.Command;
<i>4</i>&nbsp;import com.dema.timeregistration.application.CommandInterpreter;
<i>5</i>&nbsp;import com.dema.timeregistration.application.Parameter;
<i>6</i>&nbsp;import com.dema.timeregistration.application.ParsedCommand;
<i>7</i>&nbsp;
<i>8</i>&nbsp;import java.util.HashSet;
<i>9</i>&nbsp;import java.util.Set;
<i>10</i>&nbsp;
<b class="nc"><i>11</i>&nbsp;public class DocumentationCommand implements Command {</b>
<i>12</i>&nbsp;    private CommandInterpreter commandInterpreter;
<i>13</i>&nbsp;
<i>14</i>&nbsp;    public void setCommandInterpreter(CommandInterpreter commandInterpreter) {
<b class="nc"><i>15</i>&nbsp;        this.commandInterpreter = commandInterpreter;</b>
<b class="nc"><i>16</i>&nbsp;    }</b>
<i>17</i>&nbsp;
<i>18</i>&nbsp;    @Override
<i>19</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>20</i>&nbsp;        return &quot;help&quot;;</b>
<i>21</i>&nbsp;    }
<i>22</i>&nbsp;
<i>23</i>&nbsp;    @Override
<i>24</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>25</i>&nbsp;        return new HashSet&lt;&gt;();</b>
<i>26</i>&nbsp;    }
<i>27</i>&nbsp;
<i>28</i>&nbsp;    @Override
<i>29</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) {
<b class="nc"><i>30</i>&nbsp;        System.out.println(commandInterpreter.generateDocumentation());</b>
<b class="nc"><i>31</i>&nbsp;    }</b>
<i>32</i>&nbsp;
<i>33</i>&nbsp;    @Override
<i>34</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>35</i>&nbsp;        return &quot;Get a list of commands&quot;;</b>
<i>36</i>&nbsp;    }
<i>37</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
